#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_34/sys/src/install/perl/SAPDB/Install/Grid/CellPathEditor.pm#1 $
# $DateTime: 2006/09/04 17:37:38 $
# $Change: 134683 $
#
# Desc: 


package SAPDB::Install::Grid::CellPathEditor;

use base Wx::PlGridCellEditor;
use SAPDB::Install::Control::PathCtrl;
use Wx::Event qw(EVT_KILL_FOCUS);
use Wx qw(wxTheApp);

sub Create {
  my ( $self, $parent, $id, $evthandler ) = @_;
  return 1 if exists $self->{'pc'};
  $self->{'pc'} = SAPDB::Install::Control::PathCtrl->new( $parent, $id);
  EVT_KILL_FOCUS($self->{'pc'}->{'button'},
		sub{
			my ($btn,$evt) = @_;
			wxTheApp->Dispatch if wxTheApp->Pending;
			if(wxTheApp->Pending){
				$evt->Skip(1);	
			}
			else{
				my $grid = $parent->GetParent;
				bless ($grid,'SAPDB::Install::Grid::Base');
				if($grid->FindNextEditable){
					$grid->EnableCellEditControl(1);
				}
	
			}
		}
  );	
  if($evthandler){
		bless $evthandler,'Wx::EvtHandler';
		$self->{'pc'}->PushEventHandler($evthandler);
  }
  return 1;	
}

sub SetSize {
  my( $self, $size ) = @_;
  $self->{'pc'}->SetSize($size);
}

sub Show {
  my( $self, $show, $attr ) = @_;
  $self->{'pc'}->Show( $show );
}


sub EndEdit {
	my( $self, $row, $col, $grid ) = @_;
	my $changed = ($self->{'pc'}->GetValue ne
			 $grid->GetCellValue( $row, $col )); 
	
	$grid->SetCellValue( $row, $col, $self->{'pc'}->GetValue )
		 if $changed;
	
	return $changed;
}

sub BeginEdit {
	my( $self, $row, $col, $grid ) = @_;
	$self->{'pc'}->SetValue($grid->GetCellValue( $row, $col));
	$self->{'pc'}->SetFocus;
	return 1;
}


sub Destroy{
	my ($self) = @_;
	$self->{'pc'}->Destroy if $self->{'pc'};
	delete $self->{'pc'};
}

1;
