#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_34/sys/src/install/perl/SAPDB/Install/ObjMngr.pm#1 $
# $DateTime: 2006/09/04 17:37:38 $
# $Change: 134683 $
#
# Desc: 


package SAPDB::Install::ObjMngr;

sub new{
	my ($class) = @_;
	my %member = (
		'Log' => [undef,0],
		'InstReg' => [undef,0],
		'PackageList' => [undef,0],
		'Resource' => [undef,0],
		'Template' => [undef,0],
		'Cleaner' => [undef,0],

		'seq' => 1	# seq is private
	);
	return bless(\%member,$class);
}

sub DESTROY{
	my ($self) = @_;
	$self->KillObjects;	
	1;
}

sub KillObject{
	my ($self,$sym) = @_;
	if(defined $self->{$sym}->[0]){
		#print ">>>> killing $sym ".$self->{$sym}->[0]."[id=".$self->{$sym}->[1]."]\n";
		foreach my $index (2.. $#{@{$self->{$sym}}}){
			if(defined $self->{$sym}->[$index]){
					local *deref = $self->{$sym}->[$index];
					#print ">>>> killing ref $index ".$self->{$sym}->[$index]."\n";
					$deref = undef;
			}  
		}
		$self->{$sym} = [undef,0];
	}
	return 1;
}


sub KillObjects{
	my ($self) = @_;
	foreach my $sym (sort {$self->{$b}->[1] <=> $self->{$a}->[1]} keys(%{$self})){
		if($sym eq 'seq'){
			$self->{$sym} = 1;	
		}
		else{
			if(defined $self->{$sym}->[0]){
				$self->KillObject($sym);
			}
		}
	}
	1;
}

sub AUTOLOAD{
	my $self = shift;
	my $sym = $AUTOLOAD;
	$sym =~ s/.*://;
	return if ($sym eq 'seq'); 
	
	if(exists $self->{$sym}){
		if(@_){
			my $value = shift;
			if(defined $value){
				$self->{$sym} = [$value,$self->{'seq'}++];
			}
			else{
				$self->KillObject($sym)
			}
		}
		else{
			return $self->{$sym}->[0];
		}
	}
	else{
		my ($setref_sym) = ($sym =~ /^SetRef(\S+)$/);
		if(exists $self->{$setref_sym}){
			local *obj = $self->{$setref_sym};
			push @obj,shift;
			return 1; 
		}
		die ("$sym is no member of class ".ref($self)."\n");
	}
	1;
}



1;