#!/usr/bin/perl
package SAPDB::Install::Templates::MobileInfra;

#ifdef SCRIPTING
#use strict;
#use SAPDB::Install::Templates::Base;
#endif
  #ifdef PERL5.6.1
#  require Exporter;
#  our @ISA = qw ( SAPDB::Install::Templates::Base Exporter );
#  our @EXPORT=qw( );
  #endif
  #ifdef PERL5.0.0
#  require Exporter;
#  @ISA = qw ( SAPDB::Install::Templates::Base  Exporter );
#  @EXPORT=qw( );
  #endif

#ifdef doc
#<h1>SAPDB::Install::Templates::MobileInfra </h1>
#<h2><code>Extends <a href="Base.html">Base</a> </code></h2>
#<p>
#Template for Mobile MaxDB Installations. </p>
#<p>
#This is developer documentation! 
#</p>
#<p>
#User documentation can be found  in the
#documents <a href="../mi.html">"Workstation-Installation fr mobile Infrastrukturen"</a> and
#<a href="../mi2.html">"Erzeugen des Installationspakets"</a>.
#</p>
#
#
#<h2>Usage</h2>
#<pre>
#  my $mi = SAPDB::Install::Templates::MobileInfra::new();
#  my $mi->set...();
#  my $mi->createInstance();
#</pre>
#endif
#because SDBINST

use SAPDB::Install::Templates::Base;
our @ISA = qw (SAPDB::Install::Templates::Base);
 
#endbecause


#Konstruktor fr MobileInfra-Instanzen
#+sub():MobileInfraRef:Default-Konstruktor
sub new(){
  my $this = createThis();
  bless $this;
  $this->setDefaults();

  $this->addAfterAdvice("drive",sub{
                          my ($this) = @_;
                          my $drive = $this->getDrive();
                          if(defined $drive){
                            $this->setAdvicedInstRootPath($this->rootPrefix($drive));
                          }
                        }
                       );


  $this->addAfterAdvice("instRootPath",sub{
                          my ($this) = @_;
                          $this->setDependendPath("");
                          $this->setDataPath("");
                          $this->setLogPath("");
                        }
                       );


  $this->setType('mi');
  $this->setAdvicedDrive("c"); 

  #defaults for volume sizes
  $this->setDataSize(393216);
  $this->setLogSize(25600);
  $this->setDataVolCount(1);
  $this->setLogVolCount(1);
  $this->setDBSize($this->getDataVolCount() * $this->getDataSize());

  #DB defaults for users and passwords
  $this->setDBA("DBA");
  $this->setDBName("MIDB1");
  $this->setDBAPass("dba");
  $this->setDBM("DBM");
  $this->setDBMPass("dbm");
#  $this->setSQLU("miuser");
#  $this->setSQLPass("sap");
  $this->setDomainPass("domain");

  #set Autoextend and log overwrite on
  $this->setAdvicedAutoExtend("YES");
  $this->setAutoOverWriteLog("YES");
  $this->setAutoRestart("YES");

  #DB-Defaults: database parameters
  $this->setDBParams({});
  $this->addDBParam("CACHE_SIZE","2500");
  $this->addDBParam("MAXDATAVOLUMES","64");
  $this->addDBParam("MAXUSERTASKS","20");
  $this->addDBParam("_UNICODE","YES");
  $this->addDBParam("SESSION_TIMEOUT","0");

  #Defaults for paths
  $this->setArchive("IASDB.TGZ");
  $this->setBackup( "BACKUP");

  #Strategies:
  $this->setCreationStrategy(4);



  $this->setDBMemory($this->proposeMemory());
  $this->setCPUCount($this->proposeCPU());







  return $this;
}
#new





#+sub(String:name):void:Set the name of the Database
sub setDBName(){
  my ($this,$aName)=@_;
  $this->SUPER::setDBName($aName);
  $this->setDependendPath("");
  $this->setDataPath("");
  $this->setLogPath("");
}


sub getDBVolumes(){
my ($this)=@_;
$this->initializeVolumeDefinitions();
  return $this->SUPER::getDBVolumes();
}










#ifdef doc
#<h2>Configuration</h2>
#<ul class = "c1">
#<li>This template can be configured by a simple parameter file</li>
#<li>The parameter file is devided into sections. (Windows "ini"-Style)</li>
#<li>A section contains key value pairs.</li>
#</ul>
#<h3>Sample configuration file</h3>
#<p>A Sample can be found <a href="../mi/mi-example.txt">here.</a></p>
#<h2>Legal Parameters Described By Section</h2>
#<h3><code>Template-Section</code></h3>
#<ul>
#<li><strong>TYPE</strong>: Fixed for this template: "mi"</li>
#</ul>
#<h3><code>Software-Section</code></h3>
#<ul>
#<li><strong>DRIVE</strong>:
#    <p>Global drive for the installation (including software). This will
#      implicitly set <code>INSTROOTPATH</code>.</p>
#    <p>
#   (It will also implicitly set  <code>DATAPATH</code> and <code>LOGPATH</code>
#  in the Instance-Section.)
#   </p>
#   <p>DEFAULT: <code>c</code></p>
#</li>
#<li><strong>INSTROOTPATH</strong>: Root of the software installation
#   <p>DEFAULT: <code>&lt;DRIVE&gt;:/sdb</code></p>
#</li>
#
#
#</ul>
#<h3><code>Instance-Section</code></h3>
#<ul>
#
#<li><strong>DBNAME</strong>: Name of the database instance
#   <p>DEFAULT: <code>MIDB1</code></p></li>
#
#
#<li><strong>LOGPATH</strong>: Root path of log volumes
#   <p>DEFAULT: <code>&lt;INSTROOTPATH&gt;/&lt;DBNAME&gt;/log</code></p></li>
#
#<li><strong>DATAPATH</strong>: Root path of data volumes
#   <p>DEFAULT: <code>&lt;INSTROOTPATH&gt;/&lt;DBNAME&gt;/data</code></p></li>
#
#<li><strong>DEPENDPATH</strong>: "Dependend" path.
#   <p>DEFAULT: <code>&lt;INSTROOTPATH&gt;/&lt;DBNAME&gt;/db</code></p>
#</li>
#
#<li><strong>DBM</strong>: Name and password of database manager
#   <p>DEFAULT: <code>dbm,dbm</code></p></li>
#
#<li><strong>DBA</strong>: Name and password of database administrator
#   <p>DEFAULT: <code>dba,dba</code></p></li>
#
#<li><strong>DOMAINPASS</strong>: Password of domain user
#   <p>DEFAULT: <code>domain</code></p></li>
#
#<li><strong>SQLUSER</strong>: Name and password of an sql user.
#   <!--<p>DEFAULT: miuser,sap<code>domain</code></p>-->
#   <p>NO DEFAULT: No SQL User will be created by default! </p>
# </li>
#
#<li><strong>DATAVOLS</strong>: Number of data volumes
#   <p>DEFAULT: <code>1</code></p></li>
#
#<li><strong>DATASIZE</strong>: Size of data volumes (in pages)
#   <p>DEFAULT: <code>393216</code></p></li>
#
#<li><strong>LOGVOLS</strong>: Number of log volumes
#   <p>DEFAULT: <code>1</code></p></li>
#
#<li><strong>LOGSIZE</strong>: Size of log volumes (in pages)
#   <p>DEFAULT: <code>25600</code></p></li>
#
#<li><strong>ARCHIVE</strong>: NAME of a tgz archive containing a backup for <code>db_activate RECOVER</code>
#   <p>DEFAULT: <code>SDB&lt;DBNAME&gt;.TGZ</code></p></li>
#
#<li><strong>BACKUP</strong>: NAME of a backup to be used for <code>db_activate RECOVER</code> 
#   <p>DEFAULT: <code>&lt;DBNAME&gt;.data</code></p></li>
#</ul>
#
#<h3><code>DBParam-Section</code></h3>
#<p>Database parameters specified as key value pairs. Defaults are:</p>
#<ul>
#<li><strong>CACHE_SIZE</strong>:2500 </li>
#<li><strong>MAXDATAVOLUMES</strong>: 64</li>
#<li><strong>MAXUSERTASKS</strong>: 20</li>
#<li><strong>RESTART_SHUTDOWN</strong>: AUTO</li>
#<li><strong>_UNICODE</strong>: YES</li>
#<li><strong>SESSION_TIMEOUT</strong>: 0</li>
#</ul>
#endif

1;
# Local Variables: ***
# perl-dbg-flags:"-w      -I../../../../../../wrk/script -I../../../sdbrun  " ***
# sdbinst-defines: "-define SCRIPTING=YES -define PERL5.6.1=YES" ***
# sdbinst-testfile: "MobileInfraTest.pl" ***
# sdbinst-script-directory:  "sys/wrk/script/SAPDB/Install/Templates" ***
# End: ***



