#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_34/sys/src/install/perl/SAPDB/Install/User/Config/Base.pm#1 $
# $DateTime: 2006/09/04 17:37:38 $
# $Change: 134683 $
#
# Desc: 

package SAPDB::Install::User::Config::Base;

use SDB::Common::Getopt::Long;
use SAPDB::Install::System;
use SAPDB::Install::StdIO;


sub new{
	my ($class,$config) = @_;
	
	my $members = {
			'configuration' => undef,
			'params' => undef
	};
	
	if(defined $config and ref($config) eq 'HASH'){
		foreach my $member (keys(%$config)){
			$members->{$member} = $config->{$member};
		}
	}
	return bless(	$members
					,$class);
}


sub console_input{
	my ($self) = @_;
	return undef unless defined $self->{'params'};
	foreach my $param (@{$self->{'params'}}){
		if($param->{'name'} eq 'DB_NAME' and $self->{'database'} =~ /\S/){
			$self->{'configuration'}->{$param->{'name'}} = $self->{'database'};
			next;
		}		

		my $default = $param->{'default'};
		if(exists $self->{'configuration'}->{$param->{'name'}} and $self->{'configuration'}->{$param->{'name'}} =~ /\S/){
			$default = $self->{'configuration'}->{$param->{'name'}};
		}
		while(1){
			print $param->{'desc'}.($default =~ /\S/ ? " [$default]" : '').": ";
			my $echo_off;
			if($param->{'type'} eq 'PASSWORD'){
				$echo_off = 1;
			}
			my $value= readstdin($echo_off);
			chop $value if($value =~ /\r$/);
			unless($value =~ /\S/){
				$value = $default;
			}
			if(exists $param->{'validator'} and defined $param->{'validator'}){
				if(&{$param->{'validator'}}($value,$default)){
					$self->{'configuration'}->{$param->{'name'}} = $value;
					last;
				}	
			}
			else{
				$self->{'configuration'}->{$param->{'name'}} = $value;
				last;
			}
		}
	}
}


sub load{
	my ($self) = @_;
	my %configuration;
	if(defined $self->{'config_file'} and -f $self->{'config_file'}){
		open(MYFD,$self->{'config_file'}) or return undef;
		while(<MYFD>){
			my ($param,$value) = (/^\s*(\S.*\S)\s*=\s*(\S.*\S)\s*$/);
			if($param =~ /\S/){
				$configuration{$param} = $value;
			}
		}
		close(MYFD);
	}
	$self->{'configuration'} = \%configuration;
	return 1;
}

sub write{
	my ($self) = @_;
	return undef unless defined $self->{'config_file'};
	return undef unless defined $self->{'config_file'};
	my ($dir) = ($self->{'config_file'} =~ /(.*)\/[^\/]+$/);
	unless(-d $dir){
		makedir($dir,0750) or return -1;
	}
	open(MYFD,'>'.$self->{'config_file'}) or return -1;
	foreach my $param (keys(%{$self->{'configuration'}})){
		print MYFD $param.' = '.$self->{'configuration'}->{$param}."\n";
	}
	close(MYFD);
	if($^O !~ /mswin/i){
		chmod(0600,$file);
	}
	return 1;
}

1;