package SAPDB::Install::Window::Progress;

use Wx qw( wxALIGN_CENTER_VERTICAL
		   wxDECORATIVE wxNORMAL wxLIGHT
		   wxVERTICAL wxHORIZONTAL wxEXPAND
		   wxRIGHT wxLEFT
		   wxBOTTOM);

use SAPDB::Install::Control::StaticText;


our @ISA = qw(Wx::Panel);
our $is_wxx11 = Wx::wxX11;

sub new{
	my($this ) = shift->SUPER::new(@_);
	my $top_sizer = Wx::BoxSizer->new(wxVERTICAL);
	my $bar_sizer = Wx::BoxSizer->new(wxHORIZONTAL);
	#$this->{'caption'} = SAPDB::Install::Control::StaticText->new($this,-1,[0,0],[150,20]);
	#$this->{'caption'}->{'font'} = Wx::Font->new(12,wxDECORATIVE, wxNORMAL, wxLIGHT, 0 );
	#$this->{'caption'}->setText('initializing...');
	$this->{'caption'} = Wx::StaticText->new($this,-1,'initializing...',[0,0],[150,15]);
	#$this->{'detail'} = SAPDB::Install::Control::StaticText->new($this,-1,[0,0],[150,20]);
	#$this->{'detail'}->{'font'} = Wx::Font->new(10,wxDECORATIVE, wxNORMAL, wxLIGHT, 0 );
	#$this->{'detail'}->setText("first step...");
	$this->{'detail'} = SAPDB::Install::Control::StaticText->new($this,-1,[0,0],[150,15]);
	$this->{'detail'}->{'auto_cut'} = 1;
	$this->{'gauge'} = Wx::Gauge->new($this,-1,100);
	#$this->{'pro'} = SAPDB::Install::Control::StaticText->new($this,-1,[0,0],[40,20]);
	#$this->{'pro'}->{'auto_resize'} = 0;
	#$this->{'pro'}->{'font'} = Wx::Font->new(8,wxDECORATIVE, wxNORMAL, wxLIGHT, 0 );
	#$this->{'pro'}->setText('0%');
	$this->{'pro'} = Wx::StaticText->new($this,-1,'0%',[0,0],[40,15]);
	$bar_sizer->Add($this->{'gauge'},1);
	$bar_sizer->Add($this->{'pro'},0, wxLEFT | wxRIGHT | wxALIGN_CENTER_VERTICAL,10);
	$top_sizer->Add($this->{'caption'},0,wxEXPAND | wxBOTTOM, 10);
	$top_sizer->Add($bar_sizer,0,wxEXPAND);
	$top_sizer->Add($this->{'detail'},0,wxEXPAND | wxRIGHT, 50);
	$this->SetSizer($top_sizer);
	$this->SetAutoLayout(1);
	$this->Layout();
	return $this;
}

sub init{
	my ($self,$dummy,$value,$max,$text) = @_;
	$self->{'value'} = $value; 
	$self->{'gauge'}->SetRange($max);
	$self->{'gauge'}->SetValue($value);
	my $pro;
	if($max == 0){
			$pro = 0;

	}
	else{
		$pro = ($value * 100) / $max;
	}
	#$self->{'pro'}->setText(int($pro).'%');
	$self->{'pro'}->SetLabel(int($pro).'%');
	if($text =~ /\S/){
		#$self->{'caption'}->setText($text);
		$self->{'caption'}->SetLabel($text);
	}	
	&{$SAPDB::Install::Values::RefreshGui}();
};

sub SetProgress{
	my ($self,$dummy,$value,$text) = @_;
	if($value < 0){
		$value = ++($self->{'value'});
	}
	else{
		$self->{'value'} = $value; 
	}
	$self->{'gauge'}->SetValue($value);
	#$self->{'detail'}->setText($text);
	$self->{'detail'}->SetLabel($text);
	my $pro = ($value * 100) / $self->{'gauge'}->GetRange;
	#$self->{'pro'}->setText(int($pro).'%');
	$self->{'pro'}->SetLabel(int($pro).'%');
	if($is_wxx11){
		$self->GetParent->{'caption'}->Update;
		$self->{'caption'}->Update;
		$self->{'gauge'}->Update;
		$self->{'detail'}->Update;
		$self->{'pro'}->Update;
		$self->{'pro'}->Update;
	}
	&{$SAPDB::Install::Values::RefreshGui}();
};

sub Destroy{
	my ($self) = @_;
	while($self->GetSizer->Remove(0)){}
	$self->{'caption'}->Destroy;
	delete $self->{'caption'};
	$self->{'gauge'}->Destroy;
	delete $self->{'gauge'};
	$self->{'detail'}->Destroy;
	delete $self->{'detail'};
	$self->{'pro'}->Destroy;
	delete $self->{'pro'};
	$self->SUPER::Destroy;
}

sub DESTROY{
	my ($self) = @_;
	print ">>>>> destroying $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;