#!/usr/bin/perl
#
# $Header: //sapdb/I00/develop/sys/src/install/perl/SAPDB/Install/StartInstall.pm#74 $
# $DateTime: 2003/06/19 08:09:01 $
# $Change: 46135 $
#
# Desc: start SAP DB installation/update/patch/instanceupgrade, called by SDBINST/SDBUPD


package SAPDB::Install::Wizard::Dialog::Welcome;

use Wx qw (
	wxDECORATIVE wxNORMAL wxBOLD wxRA_SPECIFY_ROWS wxICON_ERROR wxCENTRE
	wxVERTICAL wxALIGN_CENTER wxALIGN_CENTER_HORIZONTAL wxBOTTOM);

use base SAPDB::Install::Wizard::Dialog::Base;
use SAPDB::Install::Control::StaticText;


sub new{
	 my($this ) = shift->SUPER::new(@_);
	my ($x,$y) = ($this->GetSizeWH);
	$this->{'font'} = Wx::Font->new( 40, wxDECORATIVE, wxNORMAL, wxBOLD, 0 );
	$this->{'controls'} = [];
	$this->{'text'} = SAPDB::Install::Control::StaticText->new($this, -1, [100,30],[300,40]);
	$this->{'text'}->{'font'} = $this->{'font'};
	$this->{'text'}->setText('Welcome'); 
	local *controls = $this->{'controls'};
	my $sizer = Wx::BoxSizer->new(wxVERTICAL);
	my $rbox = Wx::RadioBox->new($this,-1,'Installation Mode',[150,130],[120,100],['Recommended','Complete','Custom'],3,wxRA_SPECIFY_ROWS  );
	$sizer->Add($this->{'text'},0,wxBOTTOM | wxALIGN_CENTER_HORIZONTAL,60);
	$sizer->Add($rbox,0,wxALIGN_CENTER);
	push @controls,$rbox,$this->{'text'};
	$this->SetSizer($sizer);
	$this->SetAutoLayout(1);
	$this->Layout();
	return $this;
}

sub init(){
	my ($self) = @_;
	$self->{'initialized'} = 1;
	return {'auto_next' => 1} if($SAPDB::Install::StartInstall::opt_profile =~ /\S/ or $SAPDB::Install::StartInstall::opt_package =~ /\S/);
}

sub Process{
	my ($self) = @_;
	my %rv;
	return 1 if($SAPDB::Install::StartInstall::opt_profile =~ /\S/ or $SAPDB::Install::StartInstall::opt_package =~ /\S/);
	my $selection = $self->{'controls'}->[0]->GetStringSelection(); 
	if($selection eq 'Complete'){
		my $msgbox = Wx::MessageDialog->new($self,"\"Complete\" isn\'t implemented yet!",
				"Error", wxICON_ERROR | wxCENTRE);
		$msgbox->ShowModal();
		return undef;
	}
	$rv{'instmode'} = $selection;
	return \%rv;
}

sub Destroy{
	my ($self) = @_;
	while($self->GetSizer->Remove(0)){}
	delete $self->{'font'};
	foreach my $control (@{$self->{'controls'}}){
		$control->Destroy;
	}
	delete $self->{'controls'};
	delete $self->{'text'};
	$self->SUPER::Destroy;
}

sub DESTROY{
	my ($self) = @_;
	print ">>>> destroying $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;
