#!/usr/bin/env perl
#
#    ========== licence begin  GPL
#    Copyright (c) 2002-2005 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end

use SAP::DBTech::dbm;
use demodbData;

sub showState {
    my ($session) = @_;
    my ($output) = $session->cmd ('db_state');
    my (@lines) = split ('\n', $output);
    my ($state) = @lines [1];
    print "database state: $state\n";
}

sub createSession {
    my ($username, $password, $dbname, $host) = @_;
    my ($userid);
    $userid = "$username,$password";
    my ($session) = new DBM ($host, $dbname, '', $userid);
    print "session created: $session\n";
    return $session;
}

sub main {
    my ($username, $password, $dbname, $host) = &parseDbmArgs (@ARGV);
    my ($session) = &createSession ($username, $password, $dbname, $host);
    &showState ($session);
    $session->commit ();  # not necessary for a SELECT, but good style anyway
}

&main ();

