#
# =====================================================
# @(#) SYSINFOCOM                7.6        2005-03-24
# =====================================================
#
#
#    ========== licence begin  GPL
#    Copyright (c) 2000-2005 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end

from installib import *

def install (session,options):
    """Installing comments for SYSINFO tables
    """

    switchToSchema (session, 'SYSINFO')

    loaderCmd (session, 'INSTALLATION ON')

    loaderCmd (session, 'AUTOCOMMIT OFF')

    # Table sysinfo.activeconfiguration

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.ACTIVECONFIGURATION IS 'Names and values of the database parameters that are currently active'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.ACTIVECONFIGURATION.PARAMETERNAME IS 'Name of database parameter'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.ACTIVECONFIGURATION.PERMANENT IS 'Indicates whether the value of the database parameter is reset when the system switches to operational state OFFLINE (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.ACTIVECONFIGURATION.CHANGEABLE IS 'Indicates whether the value of the database parameter can be changed in operational state ONLINE and whether the change takes effect immediately (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.ACTIVECONFIGURATION.VALUE IS 'Value of database parameter'""")

    # Table sysinfo.backupthreads

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.BACKUPTHREADS IS 'Information about I/O operations of the last backup or the current one'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.THREADID IS 'ID of the thread in the operating system'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.THREADNAME IS 'Name of the thread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.IODIRECTION IS 'I/O type (READ | WRITE)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.IOCOUNT IS 'Number of I/O operations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.IOPAGECOUNT IS 'Number of pages read/written during the I/O operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.IOTIME IS 'Total time of the I/O operations with active time measurement (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.IOTIMEMEASUREMENTCOUNT IS 'Number of measured I/O operations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.PENDINGIOCOUNT IS 'Number of pending I/O calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.MAXPENDINGIOCOUNT IS 'Maximum number of pending I/O calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.BACKUPTHREADS.PATH IS 'Name of the backup medium on which the I/O calls were executed'""")

    # Table sysinfo.catalogcachestatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.CATALOGCACHESTATISTICS IS 'Information about actions and the status of the catalog cache since the last time the database system was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CATALOGCACHESTATISTICS.RELEASEMEMORYCOUNT IS 'Number of objects removed from the catalog cache due to insufficient memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CATALOGCACHESTATISTICS.ENTRYCOUNT IS 'Number of objects currently in the catalog cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CATALOGCACHESTATISTICS.MAXENTRYCOUNT IS 'Maximum number of objects in the catalog cache at any time'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CATALOGCACHESTATISTICS.ENTERLRU IS 'Number of insertions into the LRU list'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CATALOGCACHESTATISTICS.REMOVELRU IS 'Number of deletions from the LRU list'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CATALOGCACHESTATISTICS.INVALIDATECOUNT IS 'Number of objects marked as invalid'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CATALOGCACHESTATISTICS.LRUENTRYCOUNT IS 'Number of entries currently stored in the LRU list'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CATALOGCACHESTATISTICS.INVALIDHANDLECOUNT IS 'Number of objects marked as invalid currently in the catalog cache'""")

    # Table sysinfo.cachestatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.CACHESTATISTICS IS 'Information on accesses to caches since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICS.SESSIONID IS 'ID of the database session if the corresponding cache is session-specific; otherwise NULL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICS.NAME IS 'Cache name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICS.ACCESSCOUNT IS 'Number of accesses to the cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICS.SUCCESSFULACCESSCOUNT IS 'Number of successful accesses to the cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICS.UNSUCCESSFULACCESSCOUNT IS 'Number of unsuccessful accesses to the cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICS.HITRATE IS 'Percentage of successful accesses to the cache (%)'""")

    # Table sysinfo.cachestatisticsreset

    #stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.CACHESTATISTICSRESET IS 'Information on accesses to caches since last RESET CACHESTATISTICS or RESET ALL'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICSRESET.SESSIONID IS 'ID of the database session if the corresponding cache is session-specific; otherwise NULL'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICSRESET.NAME IS 'Cache name'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICSRESET.ACCESSCOUNT IS 'Number of accesses to the cache'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICSRESET.SUCCESSFULACCESSCOUNT IS 'Number of successful accesses to the cache'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICSRESET.UNSUCCESSFULACCESSCOUNT IS 'Number of unsuccessful accesses to the cache'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CACHESTATISTICSRESET.HITRATE IS 'Percentage of successful accesses to the cache (%)'""")

    # Table sysinfo.commandcachestatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.COMMANDCACHESTATISTICS IS 'Statistical information collected about the command cache activities since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.USABLESIZE IS 'Size of the command cache (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.USEDSIZE IS 'Size of the area of the command cache that is actually used (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.USEDSIZEPERCENTAGE IS 'Size of the area of the command cache that is actually used (%)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.MAXUSEDSIZE IS 'Maximum used area of the command cache (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.MAXUSEDSIZEPERCENTAGE IS 'Maximum used area of the command cache (%)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.COMMANDCOUNT IS 'Number of stored commands'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.MAXCOMMANDCOUNT IS 'Maximum number of stored commands'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.INSERTCOMMANDCOUNT IS 'Number of inserts'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.DELETECOMMANDCOUNT IS 'Number of deletes'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.FAILEDALLOCATECOUNT IS 'Number of memory requests not fulfilled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.CLEANUPCOUNT IS 'Number of operations that encountered a lack of space in the main memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.CLEANUPCOMMANDCOUNT IS 'Number of commands modified due to lack of space in the main memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.INVALIDATECOUNT IS 'Number of data definition statements that made execution plans invalid'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.CURRENTUNLOADSTATEMENTCOUNT IS 'Number of SQL statements currently displaced to disk'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.UNLOADSTATEMENTCOUNT IS 'Number of SQL statements displaced to disk'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.RELOADSTATEMENTCOUNT IS 'Number of SQL statements reloaded to the main memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.DELETEPLANCOUNT IS 'Number of execution plans deleted due to lack of space in the main memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.HASHTABLESLOTCOUNT IS 'Number of slots in the hash table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.USEDHASHTABLESLOTCOUNT IS 'Number of used slots in the hash table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.MAXUSEDHASHTABLESLOTCOUNT IS 'Maximum number of used slots in the hash table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.AVGHASHTABLECHAINENTRYCOUNT IS 'Average length of the hash entry overflow chains'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICS.MAXHASHTABLECHAINENTRYCOUNT IS 'Maximum length of the hash entry overflow chains'""")

    # Table sysinfo.commandcachestatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.COMMANDCACHESTATISTICSRESET IS 'Statistical information collected about the command cache activities since last RESET COMMANDCACHESTATISTICS or RESET ALL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.RESETDATE IS 'Timestamp of the last reset executed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.USABLESIZE IS 'Size of the command cache (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.MAXUSEDSIZE IS 'Maximum used area of the command cache (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.MAXUSEDSIZEPERCENTAGE IS 'Maximum used area of the command cache (%)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.MAXCOMMANDCOUNT IS 'Maximum number of stored commands'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.INSERTCOMMANDCOUNT IS 'Number of inserts'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.DELETECOMMANDCOUNT IS 'Number of deletes'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.FAILEDALLOCATECOUNT IS 'Number of memory requests not fulfilled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.CLEANUPCOUNT IS 'Number of operations that encountered a lack of space in the main memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.CLEANUPCOMMANDCOUNT IS 'Number of commands modified due to lack of space in the main memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.INVALIDATECOUNT IS 'Number of data definition statements that made execution plans invalid'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.UNLOADSTATEMENTCOUNT IS 'Number of SQL statements displaced to disk'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.RELOADSTATEMENTCOUNT IS 'Number of SQL statements reloaded to the main memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.DELETEPLANCOUNT IS 'Number of execution plans deleted due to lack of space in the main memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.MAXUSEDHASHTABLESLOTCOUNT IS 'Maximum number of used slots in the hash table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDCACHESTATISTICSRESET.MAXHASHTABLECHAINENTRYCOUNT IS 'Maximum length of the hash entry overflow chains'""")

    # Table sysinfo.commandstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.COMMANDSTATISTICS IS 'SQL statements that are stored in the command cache, and statistical information on the activities of these SQL statements collected'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.COMMANDID IS 'ID of the SQL statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.INTERNAL IS 'SQL statement was generated implicitly (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.HASHVALUE IS 'Hash value'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.HASHTABLESLOT IS 'Slot in the hash table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.STATUS IS 'Status (PREPARING | PREPARED | INVALID)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.USERNAME IS 'Name of the database user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.SCHEMANAME IS 'Current schema when execution plan created'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.SQLMODE IS 'SQL mode when execution plan created'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.ISOLATIONLEVEL IS 'Isolation level when execution plan created'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.DATEFORMAT IS 'Date and time format when execution plan created'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.MASSCOMMAND IS 'Command can be used as an array command (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.STATEMENTCODETYPE IS 'Code attribute of the SQL statement (ASCII | UNICODE | UNICODE SWAP)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.QUERYREWRITE IS 'Indicates whether and which type of query rewrite has taken place (NO | STATEMENT | OPERATOR)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.STATEMENTSIZE IS 'Length of the SQL statement (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.STATEMENT IS 'SQL statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.PLANSIZE IS 'Memory requirements of the execution plan (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.DBPROCEDURESCHEMANAME IS 'Schema name of the calling database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.DBPROCEDURENAME IS 'Name of the calling database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.PREPARECOUNT IS 'Number of execution preparations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.REFERENCECOUNT IS 'Number of database sessions for which the SQL statement has been prepared for execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.CURRENTEXECUTECOUNT IS 'Current number of executions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.EXECUTECOUNT IS 'Number of executions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.PREPARETIME IS 'Parse time (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.EXECUTETIME IS 'Total duration of executions (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.AVGEXECUTETIME IS 'Average execution time (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.MINEXECUTETIME IS 'Minimum execution time (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.MAXEXECUTETIME IS 'Maximum execution time (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.READROWCOUNT IS 'Number of rows read'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.QUALIFIEDROWCOUNT IS 'Number of qualified rows'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.VIRTUALREADCOUNT IS 'Number of reads in the data cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.PHYSICALREADCOUNT IS 'Number of reads in the data cache that triggered reads on the disk'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.FETCHROWCOUNT IS 'Number of rows (in the result tables generated by the SQL statement) sent to the application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.SUSPENDCOUNT IS 'Number of suspends'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICS.WAITCOUNT IS 'Number of waits caused by lock collisions'""")

    # Table sysinfo.commandstatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.COMMANDSTATISTICSRESET IS 'SQL statements that are stored in the command cache, and statistical information on the activities of these SQL statements collected since last RESET COMMANDSTATISTICS or RESET ALL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.RESETDATE IS 'Timestamp of the last reset executed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.COMMANDID IS 'ID of the SQL statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.PREPARECOUNT IS 'Number of execution preparations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.EXECUTECOUNT IS 'Number of executions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.EXECUTETIME IS 'Total duration of executions (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.AVGEXECUTETIME IS 'Average execution time (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.MINEXECUTETIME IS 'Minimum execution time (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.MAXEXECUTETIME IS 'Maximum execution time (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.READROWCOUNT IS 'Number of rows read'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.QUALIFIEDROWCOUNT IS 'Number of qualified rows'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.VIRTUALREADCOUNT IS 'Number of reads in the data cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.PHYSICALREADCOUNT IS 'Number of reads in the data cache that triggered reads on the disk'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.FETCHROWCOUNT IS 'Number of rows (in the result tables generated by the SQL statement) sent to the application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.SUSPENDCOUNT IS 'Number of suspends'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.COMMANDSTATISTICSRESET.WAITCOUNT IS 'Number of waits caused by lock collisions'""")

    # Table sysinfo.consistentviews

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.CONSISTENTVIEWS IS 'Information about currently active consistent views'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CONSISTENTVIEWS.CONSISTENTVIEW IS 'ID of the consistent view'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CONSISTENTVIEWS.CREATORTRANSCOUNT IS 'ID of the transaction that generated the consistent view'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CONSISTENTVIEWS.OPENTRANS IS 'ID of another transaction that was active at the time the consistent view was generated'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CONSISTENTVIEWS.OPENDATE IS 'Time at which the consistent view was generated'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CONSISTENTVIEWS.LASTUSED IS 'Elapsed time since the consistent view was last used (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.CONSISTENTVIEWS.CANCELED IS 'Consistent view was implicitly closed due to insufficient memory ( YES | NO )'""")

    # Table sysinfo.datacache

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.DATACACHE IS 'Information about the areas of the data cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATACACHE.USABLESIZE IS 'Size of the data cache (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATACACHE.USEDSIZE IS 'Used area of the data cache (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATACACHE.MAXUSEDSIZE IS 'Maximum used area of the data cache (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATACACHE.OMSDATASIZE IS 'Size of the area of the data cache that is used for storing the OMS data (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATACACHE.OMSUNLOADEDVERSIONSIZE IS 'Size of the OMS versions that were displaced from the main memory for space reasons (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATACACHE.HISTORYDATASIZE IS 'Size of the area of the data cache that is required for consistent reads and transaction management (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATACACHE.SQLDATASIZE IS 'Size of the area of the data cache that is not required either for OMS or for consistent reads and transaction management (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATACACHE.CHANGEDDATASIZE IS 'Amount of changed data since the last savepoint that has to be written to data area at next savepoint (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATACACHE.PENDINGOPERATIONCOUNT IS 'Number of structure-changing operations that need to be included in the next savepoint'""")

    # Table sysinfo.datastatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.DATASTATISTICS IS 'Current fill level of the database instance and the maximum fill level since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.USABLESIZE IS 'Data area available for data (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.USEDSIZE IS 'Memory in data area that is actually used for data (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.USEDSIZEPERCENTAGE IS 'Memory in data area that is actually used for data (%)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.DATAFULL IS 'Data area is full (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.USEDSIZEONVOLUMES IS 'Amount of data written to data area (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.USEDSIZENOTONVOLUMES IS 'Amount of permanent data that has to be written to data area at next savepoint (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.USEDPERMANENTSIZE IS 'Data area used for permanent data (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.USEDTEMPORARYSIZE IS 'Data area (KB) used for temporary data'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.MAXUSEDSIZE IS 'Maximum data area used for data at a savepoint (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.MAXUSEDPERMANENTSIZE IS 'Maximum data area used for permanent data at a savepoint (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.MAXUSEDTEMPORARYSIZE IS 'Maximum data area used for temporary data at a savepoint (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.INCREMENTALBACKUPSIZE IS 'Amount of data that needs to be backed up in next incremental backup (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.LASTEMERGENCYHISTORYCLEANUP IS 'Time at which undo log files were last deleted due to lack of space in data area (according to history file)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.CONVERTERVERSION IS 'The converter data saved to the data area at the last savepoint is assigned a unique number (converter version). This number is stored in the restart record'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.MAXTEMPORARYDATAPAGENUMBER IS 'Highest page number available for temporary pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.MAXPERMANENTDATAPAGENUMBER IS 'Highest page number available for permanent pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICS.MAXPERMANENTSTATICDATAPAGENUMBER IS 'Highest page number available for permanent, static pages'""")

    # Table sysinfo.datastatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.DATASTATISTICSRESET IS 'Current fill level of the database instance and the maximum fill level since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICSRESET.RESETDATE IS 'Timestamp of the last reset executed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICSRESET.USABLESIZE IS 'Data area available for data (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICSRESET.MAXUSEDSIZE IS 'Maximum data area used for data at a savepoint (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICSRESET.MAXUSEDPERMANENTSIZE IS 'Maximum data area used for permanent data at a savepoint (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATASTATISTICSRESET.MAXUSEDTEMPORARYSIZE IS 'Maximum data area used for temporary data at a savepoint (KB)'""")

    # Table sysinfo.datavolumes

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.DATAVOLUMES IS 'Volumes in which data is stored'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.ID IS 'Number of the volume'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.MODE IS 'Mode of the volume (NORMAL | SEQUENTIAL)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.CONFIGUREDSIZE IS 'Configured size of the volume (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.USABLESIZE IS 'Area of the volume that can be used for data (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.USEDSIZE IS 'Area of the volume used for data (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.USEDSIZEPERCENTAGE IS 'Area of the volume used as a percentage of the total area that can be used for data'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.DROPVOLUME IS 'Volume is being removed from the database (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.TOTALCLUSTERAREASIZE IS 'Area at the end of the volume reserved for clustered data storage (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.RESERVEDCLUSTERAREASIZE IS 'Area of the volume used by data clusters (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.USEDCLUSTERAREASIZE IS 'Area of the volume used for data stored in clusters (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.DATAVOLUMES.PATH IS 'Name of the volume'""")

    # Table sysinfo.filedirectories

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.FILEDIRECTORIES IS 'All file directories, that is, the general directory as well as the local directories of all database sessions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.SESSIONID IS 'ID of the database session to which the local file directory belongs'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.TASKID IS 'ID of the database task to which the local file directory belongs'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.MAXUSEDFILEID IS 'Largest assigned file number'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.ENTRYCOUNT IS 'Number of entries in this file directory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.CACHEENTRYCOUNT IS 'Number of entries buffered in the cache of the local file directory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.HASHTABLESLOTCOUNT IS 'Number of slots in the hash table of the file directory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.USEDHASHTABLESLOTCOUNT IS 'Number of occupied slots in the hash table of the file directory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.MAXHASHTABLECHAINENTRYCOUNT IS 'Longest hash chain in the hash table of the file directory since the last enlargement of the hash chain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.RESIZEHASHTABLECOUNT IS 'Number of times the hash table had to be resized'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.USEDPAGECOUNT IS 'Number of occupied data pages for the general file directory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.STATISTICSDELTACOUNT IS 'Number of occupied data pages for the general file directory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILEDIRECTORIES.CURRENTSTATISTICSDELTACOUNT IS 'Number of file directory entries that were changed after the current savepoint'""")

    # Table sysinfo.files

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.FILES IS 'All internal database files except for LONG files'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.FILEID IS 'ID of the file'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.SESSIONID IS 'ID of the database session in which the temporary file was created'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.ROOT IS 'Page number of the file root'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.TYPE IS 'Type of file (TABLE | INDEX | FIXED OBJECT | VARIABLE OBJECT | KEYED OBJECT | KEYED OBJECT INDEX | SHORT COLUMN FILE | internal file type for temporary files | UNKNOWN)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.PRIMARYFILEID IS 'ID of the primary file this file belongs to; for a SHORT COLUMN FILE or INDEX file, this is the ID of the table it belongs to; for a KEYED OBJECT INDEX file, this is the KEYED OBJECT file it belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.FILESTATE IS 'File status (OK | DELETED | BAD | READ ONLY | UNKNOWN)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.ENTRYCOUNT IS 'Number of entries in the file'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.TREEINDEXSIZE IS 'Space that is occupied by index pages of the file (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.TREELEAVESSIZE IS 'Space that is occupied by the leaf pages of the file (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.LOBSIZE IS 'Space that is occupied by LONG values of the table (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.CLUSTERED IS 'Information on whether pages of the file are stored in clusters on disk (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.DYNAMIC IS 'If applicable: information on whether the b*tree of the file is treated as a dynamic tree with many changes (YES | NO | NULL)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.FILES.PACKED IS 'If applicable: information on whether records on pages are stored in a packed format (YES | NO | NULL)'""")

    # Table sysinfo.hotstandbycomponent

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.HOTSTANDBYCOMPONENT IS 'Details of the hot standby component in which the information of this system table is queried'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.LOCALNODE IS 'Name with which hot standby component can be addressed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.MASTERLOCALNODE IS 'Name with which corresponding master component can be addressed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.STANDBYROLE IS 'Role within hot standby configuration (MASTER | STANDBY | UNKNOWN)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.TAKEOVERDATE IS 'Time at which a TAKEOVER statement was received'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.DELAYTIME IS 'Minimum number of seconds that must pass between the change being made in the master component, and the change also being made in this standby component'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.STANDBYSTATEDATE IS 'Time at which component reached the STANDBY operational state'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.SYNCHRONIZERECEIVECOUNT IS 'Number of SYNCHRONIZE statements received by the component'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.FIRSTNEEDEDLOGOFFSET IS 'Oldest position in log area from which log entries have to be redone'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.LASTVALIDLOGOFFSETRECEIVED IS 'Position in log area up to which component can read log entries; this position was transferred with the last SYNCHRONIZE statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.INITSTANDBYDATE IS 'Time at which component received last INIT STANDBY statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.RESTARTSTANDBYDATE IS 'Time at which component sent last RESTART STANDBY statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.LASTSYNCHRONIZEDATE IS 'Time at which component received last SYNCHRONIZE statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.PREPARESTANDBYDATE IS 'Time at which component sent last PREPARE STANDBY statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYCOMPONENT.REGISTERSTANDBYDATE IS 'Time at which component sent last REGISTER STANDBY statement'""")

    # Table sysinfo.hotstandbygroup

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.HOTSTANDBYGROUP IS 'Information the hot standby component holds about the other standby components'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.LOCALNODE IS 'Name with which component can be addressed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.ADDNODEDATE IS 'Time at which component was added to hot standby configuration'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.REMOVENODEDATE IS 'Time at which component was deleted from hot standby configuration'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.STATE IS 'Status of component (UNKNOWN, PREPARE STANDBY, WAIT FOR SYNCHRONIZE, DEACTIVATED, REGISTER STANDBY, REMOVED, ADDED)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.PREPARESTANDBYDATE IS 'Time at which component received last PREPARE STANDBY statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.REGISTERSTANDBYDATE IS 'Time at which component received last REGISTER STANDBY statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.SYNCHRONIZEDATE IS 'Time at which component sent last SYNCHRONIZE statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.SUCCESSFULSYNCHRONIZEDATE IS 'Time at which last successful SYNCHRONIZE statement was executed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.LASTVALIDLOGOFFSETSENT IS 'Last position sent by the master component in log area, up to which log entries can be remade by the standby components'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.FIRSTNEEDEDLOGOFFSET IS 'Oldest position in log area up to which master component can write without overwriting log pages required by standby components'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.SYNCHRONIZESENDCOUNT IS 'Number of sent SYNCHRONIZE statements'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.HOTSTANDBYGROUP.SYNCHRONIZERETRYCOUNT IS 'Number of SYNCHRONIZE statements that have failed since last successful SYNCHRONIZE statement'""")

    # Table sysinfo.instance

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.INSTANCE IS 'Details about the database instance'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.INSTANCE.NODE IS 'Name with which the database instance can be addressed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.INSTANCE.LOCALNODE IS 'Name with which the hot standby component can be addressed (if you have a hot standby configuration)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.INSTANCE.ADMINSTATEDATE IS 'Time at which the ADMIN operational state was reached'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.INSTANCE.ONLINESTATEDATE IS 'Time at which the ONLINE operational state was reached'""")

    # Table sysinfo.iobuffercaches

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.IOBUFFERCACHES IS 'Information on using the IO buffer cache, which is dimensioned by the database parameter CACHE_SIZE'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.TOTALSIZE IS 'Configured size of the I/O buffer cache according to the database parameter CACHE_SIZE (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.DATACACHEUSEDSIZE IS 'Pages used by the data cache (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.CONVERTERUSEDSIZE IS 'Pages used by the converter (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.LOGQUEUEUSEDSIZE IS 'Pages used by the log queue (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.IOMANAGEMENTUSEDSIZE IS 'Pages used by the I/0 Management (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.FILEDIRECTORYUSEDSIZE IS 'Pages used by the file directory (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.RESTARTRECORDUSEDSIZE IS 'Restart pages that are used for the snapshots (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.BLOCKALLOCATORUSEDSIZE IS 'Memory used by the block allocators (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.UNUSEDSIZE IS 'Unused pages (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOBUFFERCACHES.INDEXCREATIONUSEDSIZE IS 'Pages used for parallel index creation (KB)'""")


    # Table sysinfo.iothreadstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.IOTHREADSTATISTICS IS 'Information about all I/O procedures per volume since the last restart'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.VOLUMEID IS 'Volume ID in the runtime environment'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.READCOUNT IS 'Number of reads'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.READPAGECOUNT IS 'Number of pages read during the read process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.READTIME IS 'Total time of the read operation with active time measurement (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.READTIMEMEASUREMENTCOUNT IS 'Number of measured reads'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.WRITECOUNT IS 'Number of write operations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.WRITEPAGECOUNT IS 'Number of pages written during the read process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.WRITETIME IS 'Total time of the write operation with active time measurement (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.WRITETIMEMEASUREMENTCOUNT IS 'Number of measured write operations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.PENDINGIOCOUNT IS 'Number of pending I/O calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.MAXPENDINGIOCOUNT IS 'Maximum number of pending I/O calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICS.PATH IS 'Name of the disk space area on which the I/O calls are executed'""")

    # Table sysinfo.iothreadstatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.IOTHREADSTATISTICSRESET IS 'Information about all I/O procedures per volume since the last restart'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.RESETDATE IS 'Time of the last RESET for these entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.VOLUMEID IS 'Volume ID in the runtime environment'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.READCOUNT IS 'Number of reads'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.READPAGECOUNT IS 'Number of pages read during the read process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.READTIME IS 'Total time of the read operation with active time measurement (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.READTIMEMEASUREMENTCOUNT IS 'Number of measured reads'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.WRITECOUNT IS 'Number of write operations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.WRITEPAGECOUNT IS 'Number of pages written during the read process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.WRITETIME IS 'Total time of the write operation with active time measurement (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.WRITETIMEMEASUREMENTCOUNT IS 'Number of measured write operations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.PENDINGIOCOUNT IS 'Number of pending I/O calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.MAXPENDINGIOCOUNT IS 'Maximum number of pending I/O calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.IOTHREADSTATISTICSRESET.PATH IS 'Name of the disk space area on which the I/O calls are executed'""")

    # Table sysinfo.locks

    #stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.LOCKS IS 'Description of the current lock entries and entries for lock requests'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.TRANSACTIONID IS 'ID of the transaction'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.LOCKREQUESTTIMEOUT IS 'Timeout for this lock request (s)'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.LOCKMODE IS 'Lock mode'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.LOCKSTATE IS 'Lock state'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.REQUESTMODE IS 'Mode of the lock request'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.REQUESTSTATE IS 'State of the lock request'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.SCHEMANAME IS 'Name of the schema of the locked table/table row'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.TABLENAME IS 'Name of the table'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.TABLEID IS 'ID of the table'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.ROWIDLENGTH IS 'Length of the primary key of the locked row'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.ROWIDHEX IS 'Hexadecimal output of lock key'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOCKS.ROWID IS 'Readable display of lock key'""")

    # Table sysinfo.loginformation

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.LOGINFORMATION IS 'Information about the log management status'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGINFORMATION.LOGVOLUMEENABLED IS 'Log entries are written in the log area (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGINFORMATION.AUTOMATICOVERWRITE IS 'Overwrite mode is activated for the log area (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGINFORMATION.LOGWRITERSUSPENDED IS 'Log writing on disk is suspended, to enable physical disk backup (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGINFORMATION.FLUSHMODE IS 'Criterion that determines if a page may be written multiple times at the same offset (MINIMIZE SPACE | MAXIMIZE SPACE)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGINFORMATION.DEVICESTATE IS 'State of the log (OK | HISTORY LOST | CLEARED | CLEARING | PARTIALLY CLEARED | PARTIALLY CLEARING)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGINFORMATION.LOGFULL IS 'Log area is completely filled (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGINFORMATION.PENDINGLOGSIZE IS 'Size specification for the newly defined log area that is not yet active'""")

    # Table sysinfo.logqueuestatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.LOGQUEUESTATISTICS IS 'Certain log-related events that were counted for each log queue since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICS.QUEUEID IS 'ID of the log queue'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICS.QUEUEMAXUSED IS 'Number of write transactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICS.QUEUEINSERTCOUNT IS 'Number of log entries inserted into the log queue'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICS.QUEUEOVERFLOWCOUNT IS 'Number of wait situations due to log queue overflow'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICS.GROUPCOMMITCOUNT IS 'Number of log pages whose writing was waited for by more than one transaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICS.WAITCOUNT IS 'Number of COMMIT-/ROLLBACK entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICS.MAXWAITCOUNTPERPAGE IS 'Maximum number of transactions that simultaneously waited for the same log page to be written'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICS.PHYSICALWRITECOUNT IS 'Number of write transactions'""")

    # Table sysinfo.logqueuestatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.LOGQUEUESTATISTICSRESET IS 'Certain log-related events that were counted for each log queue since the last RESET LOGQUEUESTATISTICS or RESET ALL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICSRESET.RESETDATE IS 'Time of the last RESET for these entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICSRESET.QUEUEID IS 'ID of the log queue'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICSRESET.QUEUEMAXUSED IS 'Number of write transactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICSRESET.QUEUEINSERTCOUNT IS 'Number of log entries inserted into the log queue'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICSRESET.QUEUEOVERFLOWCOUNT IS 'Number of wait situations due to log queue overflow'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICSRESET.GROUPCOMMITCOUNT IS 'Number of log pages whose writing was waited for by more than one transaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICSRESET.WAITCOUNT IS 'Number of COMMIT-/ROLLBACK entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICSRESET.MAXWAITCOUNTPERPAGE IS 'Maximum number of transactions that simultaneously waited for the same log page to be written'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGQUEUESTATISTICSRESET.PHYSICALWRITECOUNT IS 'Number of write transactions'""")

    # Table sysinfo.logstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.LOGSTATISTICS IS 'Degree to which the log management is being utilized and the number of special logging-related events that occurred since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.USABLESIZE IS 'Size of the log area (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.USEDSIZE IS 'Used log area (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.USEDSIZEPERCENTAGE IS 'Used log area (%)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.NOTSAVEDSIZE IS 'Size of log area not yet saved (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.NOTSAVEDPERCENTAGE IS 'Size of log area not yet saved (%)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.SAVEPOINTCOUNT IS 'Number of savepoints'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.TRANSACTIONCOUNT IS 'Number of transactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.WRITETRANSACTIONCOUNT IS 'Number of write transactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.MAXUSEDSESSIONID IS 'Highest database session ID assigned'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.MAXUSEDTRANSACTIONNUMBER IS 'Highest transaction ID assigned'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.QUEUECOUNT IS 'Number of log queues'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICS.QUEUESIZE IS 'Size of the log queue (KB)'""")

    # Table sysinfo.logstatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.LOGSTATISTICSRESET IS 'Degree to which the log management is being utilized and the number of special logging-related events that occurred since the last RESET LOGSTATISTICS or RESET ALL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICSRESET.RESETDATE IS 'Time of the last RESET for these entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICSRESET.SAVEPOINTCOUNT IS 'Number of savepoints'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICSRESET.TRANSACTIONCOUNT IS 'Number of transactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGSTATISTICSRESET.WRITETRANSACTIONCOUNT IS 'Number of write transactions'""")

    # Table sysinfo.logvolumes

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.LOGVOLUMES IS 'Volumes in which log entries are stored'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGVOLUMES.ID IS 'Number of the volume'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGVOLUMES.CONFIGUREDSIZE IS 'Configured size of the volume (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGVOLUMES.USABLESIZE IS 'Area of the volume that can be used for log entries (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGVOLUMES.PATH IS 'Name of the volume'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.LOGVOLUMES.MIRRORPATH IS 'Name of the mirrored volume; NULL, if the volume is not mirrored'""")

    # Table sysinfo.machineconfiguration

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.MACHINECONFIGURATION IS 'Information about the configuration of the computer on which the database kernel is installed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINECONFIGURATION.CPUNUMBER IS 'Number of CPUs'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINECONFIGURATION.PHYSICALMEMORYSIZE IS 'Size of physical memory (MB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINECONFIGURATION.VIRTUALMEMORYSIZE IS 'Size of virtual memory (MB)'""")

    # Table sysinfo.machineutilization

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.MACHINEUTILIZATION IS 'Information about the utilization of the computer on which the database kernel is installed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINEUTILIZATION.PHYSICALMEMORYUSABLE IS 'Size of free physical memory (MB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINEUTILIZATION.VIRTUALMEMORYUSABLE IS 'Size of free virtual memory (MB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINEUTILIZATION.PROCESSUSEDUSERTIME IS 'Time the database kernel process has spent in user mode since the database instance was started (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINEUTILIZATION.PROCESSUSEDSYSTEMTIME IS 'Time the database kernel process has spent in system mode since the database instance was started (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINEUTILIZATION.MACHINEUSEDUSERTIME IS 'Time the computer has spent in user mode since the database instance was started (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINEUTILIZATION.MACHINEUSEDSYSTEMTIME IS 'Time the computer has spent in system mode since the database instance was started (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINEUTILIZATION.MACHINEIDLETIME IS 'Time the computer has spent in idle mode since the database instance was started (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MACHINEUTILIZATION.CPULOAD IS 'CPU load on the computer'""")

    # Table sysinfo.memoryallocatorstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.MEMORYALLOCATORSTATISTICS IS 'Information on accesses to allocators since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.ALLOCATORNAME IS 'Name of the allocator'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.USEDSIZE IS 'Amount of memory made available by the allocator (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.MAXUSEDSIZE IS 'Maximum amount of memory made available by the allocator (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.ALLOCATEDSIZE IS 'Amount of memory reserved by the allocator (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.ALLOCATECOUNT IS 'Number of memory allocations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.DEALLOCATECOUNT IS 'Number of memory releases'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.FAILEDALLOCATECOUNT IS 'Number of memory requests not fulfilled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.FOUNDERRORCOUNT IS 'Number of errors found in the allocator and corrected internally'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.BASEALLOCATORNAME IS 'Name of the allocator that provides this allocator with memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.BASEALLOCATECOUNT IS 'Number of memory reservations for the allocator BASEALLOCATORNAME'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICS.BASEDEALLOCATECOUNT IS 'Number of memory deallocations sent to the allocator BASEALLOCATORNAME'""")

    # Table sysinfo.memoryallocatorstatisticsreset

    #stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.MEMORYALLOCATORSTATISTICSRESET IS ''""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICSRESET.ALLOCATORNAME IS 'Name of the allocator'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICSRESET.MAXUSEDSIZE IS ''""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICSRESET.ALLOCATECOUNT IS 'Amount of memory reserved by the allocator (bytes)'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICSRESET.DEALLOCATECOUNT IS 'Number of memory releases'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICSRESET.FAILEDALLOCATECOUNT IS 'Number of memory requests not fulfilled'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICSRESET.BASEALLOCATECOUNT IS 'Number of memory reservations for the allocator BASEALLOCATORNAME'""")

    #stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYALLOCATORSTATISTICSRESET.BASEDEALLOCATECOUNT IS 'Number of memory deallocations sent to the allocator BASEALLOCATORNAME'""")

    # Table sysinfo.memoryholders

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.MEMORYHOLDERS IS 'Information on which call stack resulted in requests being made for memory that is currently held'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYHOLDERS.CHUNKCOUNT IS 'Number of equally sized memory chunks requested by this call stack'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYHOLDERS.CHUNKSIZE IS 'Size of a single memory chunk (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MEMORYHOLDERS.CALLSTACK IS 'Call stack of the routines'""")

    # Table sysinfo.multiversionreadstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.MULTIVERSIONREADSTATISTICS IS 'Information on pertaining to multiversionread isolation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MULTIVERSIONREADSTATISTICS.MINTRANSACTIONID IS 'Id of oldest transaction for which history data needs to be kept'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.MULTIVERSIONREADSTATISTICS.RETAINHISTORY IS 'Retain history for transactions newer than MINTRANSACTIONID (YES | NO)'""")

    # Table sysinfo.objectlocks

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.OBJECTLOCKS IS 'Information about object collision locks and object share locks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OBJECTLOCKS.OBJECTID IS 'Object for which the lock is requested or on which the lock is held'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OBJECTLOCKS.HOLDERTASKID IS 'Task which is holding the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OBJECTLOCKS.REQUESTORTASKID IS 'Task which is requesting the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OBJECTLOCKS.LOCKMODE IS 'Mode of the requested or held lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OBJECTLOCKS.FILEID IS 'File to which the object belongs'""")

    # Table sysinfo.omsdiagnose

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.OMSDIAGNOSE IS 'Debugging information about transient datastructures in liboms'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OMSDIAGNOSE.SESSIONID IS 'Session where the information is read from'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OMSDIAGNOSE.OMSCOMPONENT IS 'Datastructure where the information is read from'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OMSDIAGNOSE.OMSDIAGNOSTICENTRY IS 'Information about one entry of the given datastructure and session'""")

    # Table sysinfo.omslocks

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.OMSLOCKS IS 'Information on locks requested explicitly by the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OMSLOCKS.ID IS 'ID of the lock object'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OMSLOCKS.TASKID IS 'ID of the database task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OMSLOCKS.LOCKREQUESTTIMEOUT IS 'Timeout for this lock request (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OMSLOCKS.LOCKMODE IS 'Lock mode'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OMSLOCKS.REQUESTMODE IS 'Mode of the lock request'""")

    # Table sysinfo.optimizerinformation

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.OPTIMIZERINFORMATION IS 'Information about value distributions that is determined by the UPDATE STATISTICS statement and used by the SQL Optimizer'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OPTIMIZERINFORMATION.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OPTIMIZERINFORMATION.TABLENAME IS 'Name of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OPTIMIZERINFORMATION.COLUMNNAME IS 'Name of a single, non-indexed column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OPTIMIZERINFORMATION.INDEXNAME IS 'Name of the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OPTIMIZERINFORMATION.DISTINCTVALUECOUNT IS 'Number of distinct values in column, index, or primary key'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.OPTIMIZERINFORMATION.CALCULATEDSIZE IS 'Memory requirements of (primary key) index calculated by last UPDATE STATISTICS (KB)'""")

    # Table sysinfo.readerwriterlockinformation

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.READERWRITERLOCKINFORMATION IS 'Information about reader-writer locks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKINFORMATION.READERWRITERLOCKADDRESS IS 'Address in memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKINFORMATION.SPINLOCKPOOLNAME IS 'Name of the spin lock pool used'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKINFORMATION.READERWRITERLOCKINDEX IS 'Index in a group of reader-writer locks that use the spin lock pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKINFORMATION.LASTENTEREDTASKID IS 'ID of the task that last gained access to the reader-writer lock'""")

    # Table sysinfo.readerwriterlockstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.READERWRITERLOCKSTATISTICS IS 'Critical sections and their use since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICS.READERWRITERLOCKADDRESS IS 'Address in memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICS.EXCLUSIVEACCESSCOUNT IS 'Number of exclusive accesses to this critical section'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICS.NONEXCLUSIVEACCESSCOUNT IS 'Number of non-exclusive accesses to this critical section'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICS.COLLISIONCOUNT IS 'Number of collisions between a task that is occupying the critical section and another task that is requesting the critical section'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICS.WAITCOUNT IS 'Number of tasks waiting for access to the critical section'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICS.SPINLOCKCOLLISIONCOUNT IS 'Number of task collisions in the management of the critical section'""")

    # Table sysinfo.readerwriterlockstatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.READERWRITERLOCKSTATISTICSRESET IS 'Critical sections and how they have been used since the last RESET READERWRITERLOCKSTATISTICS or RESET ALL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICSRESET.RESETDATE IS 'Time of the last RESET for these entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICSRESET.READERWRITERLOCKADDRESS IS 'Address in memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICSRESET.EXCLUSIVEACCESSCOUNT IS 'Number of exclusive accesses to this critical section'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICSRESET.NONEXCLUSIVEACCESSCOUNT IS 'Number of non-exclusive accesses to this critical section'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICSRESET.COLLISIONCOUNT IS 'Number of collisions between a task that is occupying the critical section and another task that is requesting the critical section'""")
    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICSRESET.WAITCOUNT IS 'Number of tasks waiting for access to the critical section'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKSTATISTICSRESET.SPINLOCKCOLLISIONCOUNT IS 'Number of task collisions in the management of the critical section'""")

    # Table sysinfo.readerwriterlockwaitingtasks

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.READERWRITERLOCKWAITINGTASKS IS 'Waits for reader-writer locks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKWAITINGTASKS.READERWRITERLOCKADDRESS IS 'Address in memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.READERWRITERLOCKWAITINGTASKS.WAITINGTASKID IS 'ID of the task waiting for the reader-writer lock'""")

    # Table sysinfo.regioninformation

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.REGIONINFORMATION IS 'Information for a region, the tasks that own it or are waiting for it'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONINFORMATION.REGIONNAME IS 'Name of the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONINFORMATION.STATE IS 'LOCKED: Task owns the region; REQUESTED: Task is waiting for the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONINFORMATION.TASKID IS 'ID of the task that owns or is waiting for the region'""")

    # Table sysinfo.regionstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.REGIONSTATISTICS IS 'Information about regions and their use since the database system was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICS.REGIONNAME IS 'Name of the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICS.REGIONID IS 'ID of the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICS.HOLDERTASKID IS 'ID of the task holding this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICS.REQUESTORCOUNT IS 'Number of tasks waiting for the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICS.ACCESSCOUNT IS 'Number of accesses to this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICS.SPINLOCKCOLLISIONCOUNT IS 'Number of collisions with internal mechanisms during use of this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICS.WAITCOUNT IS 'Number of collisions that resulted in use of the queue for this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICS.COLLISIONCOUNT IS 'Number of collisions between the task holding the region and another task that is waiting for this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICS.COLLISIONRATE IS 'Number of accesses that led to collisions'""")

    # Table sysinfo.regionstatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.REGIONSTATISTICSRESET IS 'Information about regions and their use since the last RESET REGIONSTATISTICS or RESET ALL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICSRESET.RESETDATE IS 'Time of the last RESET for these entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICSRESET.REGIONNAME IS 'Name of the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICSRESET.ACCESSCOUNT IS 'Number of accesses to this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICSRESET.SPINLOCKCOLLISIONCOUNT IS 'Number of collisions with internal mechanisms during use of this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICSRESET.WAITCOUNT IS 'Number of collisions that resulted in use of the queue for this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICSRESET.COLLISIONCOUNT IS 'Number of collisions between the task holding the region and another task that is waiting for this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.REGIONSTATISTICSRESET.COLLISIONRATE IS 'Number of accesses that led to collisions'""")

    # Table sysinfo.restartinformation

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.RESTARTINFORMATION IS 'Information relevant to restarting'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.BADINDEXCOUNT IS 'Number of indexes only available after restart'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.RESTARTCONVERTERVERSION IS 'Converter version valid for the restart'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.LASTSAVEPOINTID IS 'Number of the last savepoint'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.LASTSAVEPOINTREASON IS 'Reason for the last savepoint'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.LASTSAVEPOINTDATE IS 'Time of last savepoint'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.OPENTRANSACTIONCOUNT IS 'Number of open transactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.OPENTRANSACTIONFILEROOT IS 'File root for the open transactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.HISTORYDIRECTORYROOT IS 'History Directory file root'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.FILEDIRECTORYROOT IS 'File Directory file root'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.LOBDIRECTORYROOT IS 'LOB file directory file root'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.RESTARTIOSEQUENCE IS 'Restart starting point (part 1)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.RESTARTOFFSETOFPAGEONVOLUME IS 'Restart starting point (part 2)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.RESTARTOFFSETOFENTRYINPAGE IS 'Restart starting point (part 3)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.RESTARTENTRYTYPE IS 'Restart starting point (part 4)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.RESTARTENTRYDATE IS 'Time/starting point for the restart'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.CYCLERELATEDENDOFFSET IS 'Last valid position in the log area that can be described'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.LASTKNOWNSEQUENCE IS 'Last known write position in the log area (part 1)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.LASTKNOWNOFFSET IS 'Last known write position in the log area (part 2)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.DATABASEIDENTIFIER IS 'Database instance ID'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.LASTSAVEPOINTRELEASEVERSION IS 'Version at the time of the last savepoint'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.RESTARTINFORMATION.INSTALLSERVERDBVERSION IS 'Version at the time of the database installation'""")

    # Table sysinfo.servertasks

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.SERVERTASKS IS 'Tasks that are used internally for the parallel processing of SQL statements'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SERVERTASKS.TASKID IS 'ID of the server task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SERVERTASKS.ISASSIGNED IS 'Server task has been assigned (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SERVERTASKS.ISRESERVED IS 'Server task has been reserved for a task (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SERVERTASKS.LASTJOBDESCRIPTION IS 'Description of the job for which a reserved server task is used'""")

    # Table sysinfo.sessions

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.SESSIONS IS 'Information about connection between an application and a database task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.SESSIONID IS 'ID of the database session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.OWN IS 'Current database session (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.SESSIONTYPE IS 'Specification of the database instance type (OLTP | LVC)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.ENCRYPTION IS 'Specifies whether SSL is used for data encryption (SSL | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.STARTDATE IS 'Time at which database session started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.APPLICATIONNODE IS 'Name of the computer on which the application is running'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.APPLICATIONPROCESS IS 'Operating system ID of the application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.APPLICATIONTYPE IS 'ID of the tool or interface that the application is using'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.USERNAME IS 'Name of the database user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.PEERPROCESSID IS 'ID of the communication partner of the database task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.CONNECTSTATE IS 'Connection status'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.TASKID IS 'ID of the database task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.OMSHEAPUSEDSIZE IS 'Memory used in the OMS heap (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.TRACE IS 'A database trace is written for this database session/all database sessions (YES|NO).'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.CATALOGCACHEUSEDSIZE IS 'Space used by the catalog cache assigned to the database session (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.USEDTEMPORARYSIZE IS 'Space used for temporary information about your database session (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.PAGINGFILEUSEDSIZE IS 'Size of the paging file in which information displaced from the catalog cache is written (KB)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.SQLMODE IS 'SQL mode of your database session (ANSI | DB2 | ORACLE | INTERNAL)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.ISOLATIONLEVEL IS 'Isolation level of your database session (0-3)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.TIMEOUT IS 'Timeout value of your database session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.DATEFORMAT IS 'Date and time format of your database session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SESSIONS.DEFAULTCODE IS 'Default value for the code attribute of the database session'""")

    # Table sysinfo.snapshots

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.SNAPSHOTS IS 'Defined view (snapshot) of the data'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SNAPSHOTS.ID IS 'Current converter version when the snapshot was defined'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SNAPSHOTS.CREATEDATE IS 'Time at which the snapshot was defined'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SNAPSHOTS.USEDSIZE IS 'Amount of data used for the snapshot (KB)'""")

    # Table sysinfo.spinlockpoolstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.SPINLOCKPOOLSTATISTICS IS 'Internal lock mechanisms that have been combined to form pools and actions performed on them since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.SPINLOCKPOOLNAME IS 'Name of the spin lock pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MAXLOCKCOUNT IS 'Number of attempts to get the spin lock - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MINLOCKCOUNT IS 'Number of attempts to get the spin lock - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.AVGLOCKCOUNT IS 'Number of attempts to get the spin lock - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MAXCOLLISIONCOUNT IS 'Number of failed attempts to get the spin lock - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MINCOLLISIONCOUNT IS 'Number of failed attempts to get the spin lock - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.AVGCOLLISIONCOUNT IS 'Number of failed attempts to get the spin lock - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MAXTOTALSPINLOOPCOUNT IS 'Number of attempts to get the spin lock without prior release of the CPU - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MINTOTALSPINLOOPCOUNT IS 'Number of attempts to get the spin lock without prior release of the CPU - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.AVGTOTALSPINLOOPCOUNT IS 'Number of attempts to get the spin lock without prior release of the CPU - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MAXTOTALYIELDLOOPCOUNT IS 'Number of attempts to get the spin lock after prior release of the CPU - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MINTOTALYIELDLOOPCOUNT IS 'Number of attempts to get the spin lock after prior release of the CPU - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.AVGTOTALYIELDLOOPCOUNT IS 'Number of attempts to get the spin lock after prior release of the CPU - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MAXMAXSPINLOOPCOUNT IS 'Maximum number of attempts to get the spin lock without prior release of the CPU - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MINMAXSPINLOOPCOUNT IS 'Maximum number of attempts to get the spin lock without prior release of the CPU - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.AVGMAXSPINLOOPCOUNT IS 'Maximum number of attempts to get the spin lock without prior release of the CPU - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MAXMAXYIELDLOOPCOUNT IS 'Maximum number of attempts to get the spin lock after prior release of the CPU - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.MINMAXYIELDLOOPCOUNT IS 'Maximum number of attempts to get the spin lock after prior release of the CPU - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICS.AVGMAXYIELDLOOPCOUNT IS 'Maximum number of attempts to get the spin lock after prior release of the CPU - average value within the pool'""")

    # Table sysinfo.spinlockpoolstatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.SPINLOCKPOOLSTATISTICSRESET IS 'Internal lock mechanisms that have been combined to form pools and actions performed on them since last RESET SPINLOCKPOOLSTATISTICS or RESET ALL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.RESETDATE IS 'Time of the last RESET for these entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.SPINLOCKPOOLNAME IS 'Name of the spin lock pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MAXLOCKCOUNT IS 'Number of attempts to get the spin lock - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MINLOCKCOUNT IS 'Number of attempts to get the spin lock - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.AVGLOCKCOUNT IS 'Number of attempts to get the spin lock - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MAXCOLLISIONCOUNT IS 'Number of failed attempts to get the spin lock - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MINCOLLISIONCOUNT IS 'Number of failed attempts to get the spin lock - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.AVGCOLLISIONCOUNT IS 'Number of failed attempts to get the spin lock - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MAXTOTALSPINLOOPCOUNT IS 'Number of attempts to get the spin lock without prior release of the CPU - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MINTOTALSPINLOOPCOUNT IS 'Number of attempts to get the spin lock without prior release of the CPU - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.AVGTOTALSPINLOOPCOUNT IS 'Number of attempts to get the spin lock without prior release of the CPU - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MAXTOTALYIELDLOOPCOUNT IS 'Number of attempts to get the spin lock after prior release of the CPU - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MINTOTALYIELDLOOPCOUNT IS 'Number of attempts to get the spin lock after prior release of the CPU - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.AVGTOTALYIELDLOOPCOUNT IS 'Number of attempts to get the spin lock after prior release of the CPU - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MAXMAXSPINLOOPCOUNT IS 'Maximum number of attempts to get the spin lock without prior release of the CPU - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MINMAXSPINLOOPCOUNT IS 'Maximum number of attempts to get the spin lock without prior release of the CPU - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.AVGMAXSPINLOOPCOUNT IS 'Maximum number of attempts to get the spin lock without prior release of the CPU - average value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MAXMAXYIELDLOOPCOUNT IS 'Maximum number of attempts to get the spin lock after prior release of the CPU - maximum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.MINMAXYIELDLOOPCOUNT IS 'Maximum number of attempts to get the spin lock after prior release of the CPU - minimum value within the pool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKPOOLSTATISTICSRESET.AVGMAXYIELDLOOPCOUNT IS 'Maximum number of attempts to get the spin lock after prior release of the CPU - average value within the pool'""")

    # Table sysinfo.spinlockstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.SPINLOCKSTATISTICS IS 'Internal lock mechanisms since the last time the database instance was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICS.NAME IS 'Name of the spin lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICS.LOCKCOUNT IS 'Number of attempts to get the spin lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICS.COLLISIONCOUNT IS 'Number of failed attempts to get the spin lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICS.SPINLOOPCOUNT IS 'Number of attempts to get the spin lock without prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICS.YIELDLOOPCOUNT IS 'Number of attempts to get the spin lock after prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICS.MAXSPINLOOPCOUNT IS 'Maximum number of attempts to get the spin lock without prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICS.MAXYIELDLOOPCOUNT IS 'Maximum number of attempts to get the spin lock after prior release of the CPU'""")

    # Table sysinfo.spinlockstatisticsreset

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.SPINLOCKSTATISTICSRESET IS 'Internal lock mechanisms since last RESET SPINLOCKSTATISTICS or RESET ALL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICSRESET.RESETDATE IS 'Time of the last RESET for these entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICSRESET.NAME IS 'Name of the spin lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICSRESET.LOCKCOUNT IS 'Number of attempts to get the spin lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICSRESET.COLLISIONCOUNT IS 'Number of failed attempts to get the spin lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICSRESET.SPINLOOPCOUNT IS 'Number of attempts to get the spin lock without prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICSRESET.YIELDLOOPCOUNT IS 'Number of attempts to get the spin lock after prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICSRESET.MAXSPINLOOPCOUNT IS 'Maximum number of attempts to get the spin lock without prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.SPINLOCKSTATISTICSRESET.MAXYIELDLOOPCOUNT IS 'Maximum number of attempts to get the spin lock after prior release of the CPU'""")

    # Table sysinfo.taskgroupstatistics

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.TASKGROUPSTATISTICS IS 'Information about task groups and their resource usage since the last start of the database instance'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.TASKGROUPID IS 'ID of the task group '""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.TASKCLUSTER IS 'Task cluster to which this task group belongs'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.TASKCOUNT IS 'Number of tasks in this group'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.USEDRUNQUEUELENGTH IS 'Number of tasks lined up for CPU assignment'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.MAXUSEDRUNQUEUELENGTH IS 'Maximum number of tasks lined up for CPU assignment'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.IDLECOUNT IS 'Number of time intervals in which the CPU was released'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.IDLETIME IS 'Total time for which the CPU was released (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.IOWAITCOUNT IS 'Number of time intervals in which waits for outstanding I/O operations occurred'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.IOWAITTIME IS 'Total wait time for outstanding I/O operations (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.USEDSYSTEMTIME IS 'Total CPU time used in system mode (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICS.USEDUSERTIME IS 'Total CPU time used in user mode (microseconds)'""")

    # Table sysinfo.TASKGROUPSTATISTICSRESET

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.TASKGROUPSTATISTICSRESET IS 'Information about task groups and their resource usage since last or RESET TASKGROUPSTATISTICS or RESET ALL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICSRESET.RESETDATE IS 'Time of the last RESET for these entries'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICSRESET.TASKGROUPID IS 'ID of the task group '""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICSRESET.MAXUSEDRUNQUEUELENGTH IS 'Maximum number of tasks lined up for CPU assignment'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICSRESET.IDLECOUNT IS 'Number of time intervals in which the CPU was released'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICSRESET.IDLETIME IS 'Total time for which the CPU was released (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICSRESET.IOWAITCOUNT IS 'Number of time intervals in which waits for outstanding I/O operations occurred'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICSRESET.IOWAITTIME IS 'Total wait time for outstanding I/O operations (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICSRESET.USEDSYSTEMTIME IS 'Total CPU time used in system mode (microseconds)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKGROUPSTATISTICSRESET.USEDUSERTIME IS 'Total CPU time used in user mode (microseconds)'""")

    # Table sysinfo.taskloadbalancinginformation

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.TASKLOADBALANCINGINFORMATION IS 'Current task load balancing parameters and information about the current measurement interval for task load balancing'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGINFORMATION.MEASUREMENTINTERVALTIME IS 'Measurement interval (s) between task load balancing operations and evaluations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGINFORMATION.INTERVALSTARTTIME IS 'Start time of the current measurement interval'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGINFORMATION.MEASUREMENTINTERVALS IS 'Number of measurement intervals since the database kernel was started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGINFORMATION.VALUEEQUALITY IS 'Value (%) that indicates the maximum tolerance range allowed when time values are compared. If the time difference of two runnable tasks is within this tolerance range, the time values are regarded as identical'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGINFORMATION.MINDIFFERENCE IS 'Percentage by which a task to be moved must be runnable for longer in its task group than the longest runnable task of the destination task group'""")

    # Table sysinfo.taskloadbalancingtaskgroupstates

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.TASKLOADBALANCINGTASKGROUPSTATES IS 'Information about the task load balancing values of the individual task groups in the current measurement interval'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKGROUPSTATES.TASKGROUPID IS 'ID of the task group'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKGROUPSTATES.MOVETASKTOTASKGROUPID IS 'ID of the target task group to which a task of the task group (TASKGROUPID) is to be moved'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKGROUPSTATES.MOVEABLETASKCOUNT IS 'Number of tasks in the task group that allow a task group move'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKGROUPSTATES.INTERVALSTARTTIME IS 'Start time of the current measurement interval'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKGROUPSTATES.TASKGROUPSLEEPTIME IS 'Time (microseconds) within the measurement interval in which the task group was in sleep state (sleep on semaphore)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKGROUPSTATES.TOTALTASKRUNNABLETIME IS 'Total time (microseconds) within the measurement interval for which the tasks of the task group were runnable'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKGROUPSTATES.MAXTASKRUNNABLETIME IS 'Maximum time (microseconds) within the measurement interval for which the tasks of the task group were runnable'""")

    # Table sysinfo.taskloadbalancingtaskmoves

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.TASKLOADBALANCINGTASKMOVES IS 'History of the task group'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKMOVES.MOVETIME IS 'Time of the task group move'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKMOVES.TASKID IS 'ID of the task that moved between two task groups'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKMOVES.MAXTASKRUNNABLETIME IS 'Maximum time within the measurement interval (microseconds) for which the tasks was runnable'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKMOVES.SOURCETASKGROUP IS 'ID of the source task group'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKMOVES.SOURCEMAXTASKRUNNABLETIME IS 'Maximum time within the measurement interval (microseconds) for which a task in the source task group was runnable'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKMOVES.DESTINATIONTASKGROUP IS 'ID of the destination task group'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TASKLOADBALANCINGTASKMOVES.DESTINATIONMAXTASKRUNNABLETIME IS 'Maximum time within the measurement interval (microseconds) for which a task in the destination task group was runnable'""")

    # Table sysinfo.transactionhistory

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.TRANSACTIONHISTORY IS 'Active and ended transactions of a database instance'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONHISTORY.TRANSACTIONID IS 'ID of the transaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONHISTORY.TASKID IS 'ID of the database task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONHISTORY.WRITETRANSACTIONID IS 'ID of a write transaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONHISTORY.STARTDATE IS 'Start time of the transaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONHISTORY.ENDDATE IS 'End time of the transaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONHISTORY.STATE IS 'Status of the transaction (ACTIVE | COMMITTED | ROLLBACKED)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONHISTORY.COMMENT IS 'Comment on the transaction'""")

    # Table sysinfo.transactions

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.TRANSACTIONS IS 'Status of all current transactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.TASKID IS 'ID of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.TRANSACTIONID IS 'ID of the transaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.STARTDATE IS 'Start time of the transaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.WRITETRANSACTIONID IS 'ID of a write transaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.SQLLOCKREQUESTTIMEOUT IS 'Timeout for SQL lock requests for database objects (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.OMSLOCKREQUESTTIMEOUT IS 'Timeout for lock requests for OMS objects (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.LASTWRITE IS 'Duration of a transaction that has made changes in the database (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.SQLLOCKMODE IS 'Type of lock for SQL database objects (NULL value | SHARE | EXCLUSIVE)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.OMSLOCKMODE IS 'Type of lock for OMS objects (NULL value | SHARE | EXCLUSIVE)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.REQUESTMODE IS 'Type of lock in case of a collision with timeout wait situations (NULL-Wert | SHARE | EXCLUSIVE)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.HISTORYROOT IS 'First page in the chain of history pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.HISTORYLAST IS 'Last page in the chain of history pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.HISTORYPAGECOUNT IS 'Number of used history pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.LASTHISTORYSEQUENCE IS 'Last number assigned for a history entry'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.CONSISTENTVIEWID IS 'ID of the currently valid consistent view'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.TRANSACTIONS.TASKTYPE IS 'Task type'""")

    # Table sysinfo.unloadedstatements

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.UNLOADEDSTATEMENTS IS 'SQL statements that, for space reasons, have been moved from the command cache to an internal database file'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.UNLOADEDSTATEMENTS.COMMANDID IS 'ID of the SQL statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.UNLOADEDSTATEMENTS.STATEMENT IS 'SQL statement'""")

    # Table sysinfo.version

    stopIfSqlNotOK (session, """COMMENT ON Table sysinfo.VERSION IS 'Version of the database software'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.VERSION.OPERATINGSYSTEM IS 'Name of the operating system'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.VERSION.PROCESSORTYPE IS 'Name of processor manufacturer'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.VERSION.ADDRESSINGMODE IS 'Indicates whether a 32 bit or 64 bit platform is being used'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.VERSION.ID IS 'Current version, including build level'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.VERSION.MAJORVERSION IS 'Number of major version'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.VERSION.MINORVERSION IS 'Number of minor version'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.VERSION.CORRECTIONLEVEL IS 'Number of correction level'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.VERSION.BUILD IS 'Build level'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSINFO.VERSION.KERNELVARIANT IS 'Kernel variant (SLOW | FAST)'""")

    loaderCmd (session, 'COMMIT')

    loaderCmd (session, 'INSTALLATION OFF')

    # End of Install

    switchToDefaultSchema (session, options)

if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)


